BcContentSignerBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.operator.bc

## Class BcContentSignerBuilder

- java.lang.Object
- - org.bouncycastle.operator.bc.BcContentSignerBuilder

- Direct Known Subclasses:
    BcDSAContentSignerBuilder, BcECContentSignerBuilder, BcRSAContentSignerBuilder

      public abstract class BcContentSignerBuilder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BcDigestProvider` | `digestProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcContentSignerBuilder(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId, org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlgId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentSigner` | `build(org.bouncycastle.crypto.params.AsymmetricKeyParameter privateKey)`
    `protected abstract org.bouncycastle.crypto.Signer` | `createSigner(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId, org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)`
    `BcContentSignerBuilder` | `setSecureRandom(java.security.SecureRandom random)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### digestProvider

          protected BcDigestProvider digestProvider

  - ### Constructor Detail

    - #### BcContentSignerBuilder

          public BcContentSignerBuilder(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId,
                                org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlgId)

  - ### Method Detail

    - #### setSecureRandom

          public BcContentSignerBuilder setSecureRandom(java.security.SecureRandom random)

    - #### build

          public ContentSigner build(org.bouncycastle.crypto.params.AsymmetricKeyParameter privateKey)
                              throws OperatorCreationException

      Throws:
        `OperatorCreationException`

    - #### createSigner

          protected abstract org.bouncycastle.crypto.Signer createSigner(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId,
                                                    org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)
                                                                  throws OperatorCreationException

      Throws:
        `OperatorCreationException`